Subject: Re: [PATCH 11/11] bundle: unbundle promisor packs

From: Junio C Hamano <[email-masked]>
Date: Mon, 07 Mar 2022 13:35:57 -0800

Derrick Stolee <[email-masked]> writes:

>> Hmph, and we won't see it when going over ssh to the same
>> repository?  That is puzzling.
>
> Of course, it's not an issue with file://, but an issue with the
> defaults. In order to test partial clones, I need to enable these
> config options in the server repo:
>
> 		test_config uploadpack.allowfilter 1 &&
> 		test_config uploadpack.allowanysha1inwant 1 &&
>
> Sorry for taking so long to realize this.

No, thanks for finding that out---the fact that I left it at
"puzzling" without offering that is a strong evidence that I didn't
think of it, either ;-)